RSS автоматизации

GET https://pusher.uveb.ru/api/rss-automations/
curl --request GET \
--url 'https://pusher.uveb.ru/api/rss-automations/' \
--header 'Authorization: Bearer {api_key}' \
Параметры Детали Описание
search Необязательный Строка Строка поиска.
search_by Необязательный Строка По какому полю вы ищете. Допустимые значения: name, title, description, url, rss_url.
website_id Необязательный Целое число
datetime_field Необязательный Строка Допустимые значения: last_check_datetime, next_check_datetime, datetime, last_datetime
datetime_start Необязательный Строка Отбирать результаты начиная с этой даты. Формат Y-m-d H:i:s.
datetime_end Необязательный Строка Отбирать результаты до этой даты. Формат Y-m-d H:i:s.
order_by Необязательный Строка По какому полю упорядочить результаты. Допустимые значения: rss_automation_id, datetime, last_datetime, last_check_datetime, next_check_datetime, name, title, total_campaigns, total_push_notifications, total_sent_push_notifications, total_displayed_push_notifications, total_clicked_push_notifications, total_closed_push_notifications.
order_type Необязательный Строка Порядок результатов. Допустимые значения: ASC для возрастающего порядка и DESC для убывающего порядка.
page Необязательный Целое число Номер страницы, с которой вы хотите получить результаты. По умолчанию 1.
results_per_page Необязательный Целое число Сколько результатов вы хотите на страницу. Допустимые значения: 10, 25, 50, 100, 250, 500, 1000. По умолчанию 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "website_id": 1,
            "name": "Example",
            "rss_url": "https://example.com/",
            "title": "Example",
            "description": "Example",
            "url": "https://example.com/",
            "image_url": "https://example.com/",
            "segment": "Example",
            "settings": [],
            "is_enabled": true,
            "total_campaigns": 1,
            "total_sent_push_notifications": 1,
            "total_displayed_push_notifications": 1,
            "total_clicked_push_notifications": 1,
            "total_closed_push_notifications": 1,
            "last_check_datetime": null,
            "next_check_datetime": null,
            "last_datetime": null,
            "datetime": "2026-11-22 22:31:31"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://pusher.uveb.ru/api/rss-automations?page=1",
        "last": "https://pusher.uveb.ru/api/rss-automations?page=1",
        "next": null,
        "prev": null,
        "self": "https://pusher.uveb.ru/api/rss-automations?page=1"
    }
}
GET https://pusher.uveb.ru/api/rss-automations/{rss_automation_id}
curl --request GET \
--url 'https://pusher.uveb.ru/api/rss-automations/{rss_automation_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "website_id": 1,
        "name": "Example",
        "rss_url": "https://example.com/",
        "title": "Example",
        "description": "Example",
        "url": "https://example.com/",
        "image_url": "https://example.com/",
        "segment": "Example",
        "settings": [],
        "is_enabled": true,
        "total_campaigns": 1,
        "total_sent_push_notifications": 1,
        "total_displayed_push_notifications": 1,
        "total_clicked_push_notifications": 1,
        "total_closed_push_notifications": 1,
        "last_check_datetime": null,
        "next_check_datetime": null,
        "last_datetime": null,
        "datetime": "2026-11-22 22:31:31"
    }
}
POST https://pusher.uveb.ru/api/rss-automations
Параметры Детали Описание
website_id Обязательный Целое число -
rss_url Необязательный Строка -
name Обязательный Строка -
title Обязательный Строка -
description Обязательный Строка -
url Необязательный Строка -
image Необязательный Файл -
button_title_1 Необязательный Строка -
button_url_1 Необязательный Строка -
button_title_2 Необязательный Строка -
button_url_2 Необязательный Строка -
is_silent Необязательный Булево значение -
is_auto_hide Необязательный Булево значение -
ttl Необязательный Строка Допустимые значения: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200
utm_source Необязательный Строка -
utm_medium Необязательный Строка -
utm_campaign Необязательный Строка -
check_interval_seconds Необязательный Строка Допустимые значения: 900, 1800, 3600, 21600, 43200, 86400, 259200 (сек.)
items_count Необязательный Строка Допустимые значения: 1 - 100
campaigns_delay Необязательный Строка Допустимые значения: 5 - 1440
unique_item_identifier Необязательный Строка Допустимые значения: url, publication_date, id
use_rss_image Необязательный Булево значение -
disable_rss_automation_on_fail Необязательный Булево значение -
is_enabled Необязательный Булево значение -
segment Необязательный Строка -
urgency Необязательный Целое число -
curl --request POST \
--url 'https://pusher.uveb.ru/api/rss-automations' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'rss_url=https://example.com/feed.xml' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "website_id": 1,
        "name": "Example",
        "rss_url": "https://example.com/",
        "title": "Example",
        "description": "Example",
        "url": "https://example.com/",
        "image_url": "https://example.com/",
        "segment": "Example",
        "settings": {},
        "is_enabled": true,
        "total_campaigns": 1,
        "total_sent_push_notifications": 1,
        "total_displayed_push_notifications": 1,
        "total_clicked_push_notifications": 1,
        "total_closed_push_notifications": 1,
        "last_check_datetime": null,
        "next_check_datetime": null,
        "last_datetime": null,
        "datetime": "2026-11-22 22:31:31"
    }
}
POST https://pusher.uveb.ru/api/rss-automations/{rss_automation_id}
Параметры Детали Описание
website_id Необязательный Целое число -
rss_url Необязательный Строка -
name Необязательный Строка -
title Необязательный Строка -
description Необязательный Строка -
url Необязательный Строка -
image Необязательный Файл -
button_title_1 Необязательный Строка -
button_url_1 Необязательный Строка -
button_title_2 Необязательный Строка -
button_url_2 Необязательный Строка -
is_silent Необязательный Булево значение -
is_auto_hide Необязательный Булево значение -
ttl Необязательный Строка Допустимые значения: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200
utm_source Необязательный Строка -
utm_medium Необязательный Строка -
utm_campaign Необязательный Строка -
check_interval_seconds Необязательный Строка Допустимые значения: 900, 1800, 3600, 21600, 43200, 86400, 259200 (сек.)
items_count Необязательный Строка Допустимые значения: 1 - 100
campaigns_delay Необязательный Строка Допустимые значения: 5 - 1440
unique_item_identifier Необязательный Строка Допустимые значения: url, publication_date, id
use_rss_image Необязательный Булево значение -
disable_rss_automation_on_fail Необязательный Булево значение -
is_enabled Необязательный Булево значение -
segment Необязательный Строка -
urgency Необязательный Целое число -
curl --request POST \
--url 'https://pusher.uveb.ru/api/rss-automations/{rss_automation_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'rss_url=https://example.com/feed.xml' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "website_id": 1,
        "name": "Example",
        "rss_url": "https://example.com/",
        "title": "Example",
        "description": "Example",
        "url": "https://example.com/",
        "image_url": "https://example.com/",
        "segment": "Example",
        "settings": {},
        "is_enabled": true,
        "total_campaigns": 1,
        "total_sent_push_notifications": 1,
        "total_displayed_push_notifications": 1,
        "total_clicked_push_notifications": 1,
        "total_closed_push_notifications": 1,
        "last_check_datetime": null,
        "next_check_datetime": null,
        "last_datetime": null,
        "datetime": "2026-11-22 22:31:31"
    }
}
DELETE https://pusher.uveb.ru/api/rss-automations/{rss_automation_id}
curl --request DELETE \
--url 'https://pusher.uveb.ru/api/rss-automations/{rss_automation_id}' \
--header 'Authorization: Bearer {api_key}' \